Bug 67912 - fvwm2 rpm missing from limbo
fvwm2 rpm missing from limbo
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-04 04:06 EDT by Jukka Lehti
Modified: 2007-04-18 12:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 13:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jukka Lehti 2002-07-04 04:06:31 EDT
Hi,

it seems that fvwm2 has been dropped from upcoming versions of Red Hat Linux.
This is at least questionable decision, considering that fvwm2 is widely used
and it runs well with older hardware (where GNOME or KDE would be just torture).
Yet fvwm2 is very configurable (comparing to e.g., mwm/twm). Also, querying RH
Bugzilla, fvwm2 has produced only a handful of bug reports during the time
bugzilla has been in use.

Any hopes to see fvwm2 back in RHL? It's almost the only choise for us with
older hardware!
Comment 1 Mikhael Goikhman 2002-07-04 18:44:45 EDT
Please use "fvwm" for the package name this time (like fvwm-2.4.8).
Comment 2 Ron Yorston 2002-07-30 05:47:28 EDT
Yes, I'd like to see fvwm2 retained too.  If it isn't I'd need to install it
myself after installing the OS, which is just one more thing to do.
Comment 3 Nils Olav Selåsdal 2002-08-20 04:18:15 EDT
Please get fvwm back!
Comment 4 Jukka Lehti 2002-09-23 05:29:17 EDT
It seems that we're close to next RH Linux release and yet nobody from RH has
dared to comment this outrageous decision. Is it really the case that RH wants
to be almost the only *nix-like OS which does ship with an fvwm2 package?
Comment 5 James Bourne 2002-10-08 11:19:00 EDT
I would also like to see fvwm2 included in new Red Hat releases. It is small,
doesn't have an enormous amount of features, and runs very well on a laptop with
only 64M.  twm is *not* an option.
Comment 6 Markus Kuhn 2003-01-09 14:13:37 EST
I'd like to second these complaints. The lack of fvwm2 is very high our list of
reasons why we will not upgrade soon to Red Hat 8.0. Please bring it back, it is
a small, extremely popular, efficient, and highly reliable window manager. Even
Linus once noted that it is his favourite window manager. Droping it comes close
to blasphemy ...
Comment 7 Bill Nottingham 2003-01-09 15:26:13 EST
Assigning to the desktop people.
Comment 8 Markus Kuhn 2003-01-09 16:00:28 EST
Havoc Pennington wrote:
> We are generally trying to reduce package count and focus on the core
> packages that run by default. We want to improve the robustness and
> bug response time on the core, and that means doing less work in other
> areas. Nothing against fvwm2.

In principle a good idea, if the selection of these core packages is well made
and doesn't exclude important classics. It is just that very many old-fashioned,
experienced, and even slightly conservative Linux users (and that includes a
vast number of system administrators and similar decision makers in organizations)

  - consider fvwm2 to be *the* standard core bread & butter
    window manager, a direct descendant of the classic twm

  - will see no need to move to one of the enormously resource
    hungry MS-Windows or CDE clones (KDE, GNOME)

  - have made and got very used to significant customizations to their
    personal working environments in ~/.fvwm2rc, many of which are not
    possible with more modern window managers

Us Linux old-timers would be greatly appreciated if you could add fvwm2 back to
the supported core packages, otherwise we'd have to waste a lot of time
recompiling it ourselves, because we are definitely not going to move to KDE.
Comment 9 Havoc Pennington 2003-01-09 16:21:19 EST
The same argument you're making there can unfortunately be made about pretty
much every package we ship or have shipped or that someone else has shipped.

The cost of each package is more than you think, especially when there are
potentially security errata. An errata costs us substantial resources.

A "contrib" or "unsupported" area for packages might help, but we don't have
that right now.

I might personally have booted Sawfish and kept fvwm2 instead, though the
downside of that is that fvwm2's support for Extended Window Manager Hints is
limited IIRC.

For low-end boxes we do expect GNOME to continue to shrink (GNOME 2 is smaller
than 1.4 already), and Metacity and Sawfish would both work fine standalone if 
someone wrote a (trivial to write) pager module for them using libwnck.
So those would both be ways to support low end boxes that involved less
special-purpose code.

But in any case, we have already passed the package list freeze for the upcoming
release.
Comment 10 Ron Yorston 2003-02-06 04:51:12 EST
When was there last an erratum issued for fvwm?  I can't find an update to fvwm
for Red Hat 6.2, 7.0, 7.1 or 7.2.  Obviously there can't be one for 8.0 :-(  But
today I see a fix for a buffer overflow in Window Maker.

There are way too many window managers in Red Hat.  I don't use Window Maker,
Enlightenment, Sawfish, Metacity or any of the other GNOME
window-managers-of-the-week.  But I've used fvwm for many years on both Solaris
and Linux.  I'm disappointed that Red Hat should have dropped it just because
they've filled up the distribution with an assortment of momentarily fashionable
window managers.
Comment 11 Mikhael Goikhman 2003-02-06 06:27:37 EST
Havoc: EWMH support is pretty complete and configurable in 2.5.0+ versions.
Search for EWMH in http://fvwm.org/generated/manpages/fvwm.html
Comment 12 Markus Kuhn 2003-07-16 09:09:01 EDT
Red Hat 9 still lacks fvwm, one of the most stable, popular, and well-maintained
lightweight window managers on this planet. Very sad ...

1 June 2003 is fvwm's tenth birthday!  http://www.fvwm.org/birthday/

Fvwm development is active, and support is excellent.
Comment 13 Havoc Pennington 2004-05-25 13:53:38 EDT
See
http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00054.html

I think we should not put fvwm2 in Core, but definitely put it in
Extras; once Fedora is properly set up and running, that distinction
should not impact the quality or ease of install of the fvwm2 package.

Someone could go ahead and package it for Extras today of course
(probably someone already has, even)

Note You need to log in before you can comment on or make changes to this bug.